# Change CONFIG to match the .mk file that matches your system

CONFIG = ../config/system.mk


# add or omit as needed (-D_NEED_SYS_PROTOS)
MOREDEFS =

# Do Not change anything below this line. It should be setup in config.

include $(CONFIG)

# for defs.h, struct.h
NETREK_INCLUDES = ../ntserv

SRCS = rsa_keycomp.c getpath.c data.c rsa_keycomp.c

CFLAGS = $(OPT) -I$(NETREK_INCLUDES) $(MOREDEFS) $(FLAGS) $(DIRS)

all: $(PMAKE) rsa_keycomp rsa_key2cap

rsa_keycomp: rsa_keycomp.o getpath.o data.o $(STRDUPO)
	$(CC) $(CFLAGS) -o $@ rsa_keycomp.o getpath.o data.o $(STRDUPO)

rsa_keycomp.o: rsa_keycomp.c
	$(CC) $(CFLAGS) -c rsa_keycomp.c

dist:
	tar cvf keycomp.tar rsa_keycomp.c rsa_key2cap.c rsa_keycap README Makefile
	compress keycomp.tar
shar:
	shar rsa_keycomp.c rsa_key2cap.c rsa_keycap README Makefile > keycomp.shar

install: rsa_keycomp rsa_key2cap
	-@if [ ! -d $(LIBDIR) ]; then \
          /bin/mkdir $(LIBDIR); \
        fi
	$(INSTALL) $(INSTALLOPTS) rsa_keycomp $(LIBDIR)/rsa_keycomp
	$(INSTALL) $(INSTALLOPTS) rsa_key2cap $(LIBDIR)/rsa_key2cap

clean: 
	/bin/rm -f *.o core rsa_keycomp rsa_key2cap

reallyclean: 
	/bin/rm -f rsa_keycomp rsa_key2cap *~ #*#

depend:
	makedepend $(CFLAGS) -f Makefile $(SRCS)

#####
# DO NOT DELETE THIS LINE -- make depend depends on it.

rsa_keycomp.o: /usr/include/stdio.h /usr/include/sys/stdsyms.h
rsa_keycomp.o: /usr/include/ctype.h /usr/include/sys/types.h
rsa_keycomp.o: /usr/include/sys/stat.h /usr/include/time.h
rsa_keycomp.o: /usr/include/sys/time.h /usr/include/sys/file.h
rsa_keycomp.o: /usr/include/sys/fcntl.h defs.h ../ntserv/copyright.h
rsa_keycomp.o: ../config/config.h /usr/include/strings.h
rsa_keycomp.o: /usr/include/string.h /dev/null struct.h copyright.h data.h
getpath.o: /usr/include/stdio.h /usr/include/sys/stdsyms.h
getpath.o: /usr/include/string.h ../ntserv/defs.h ../ntserv/copyright.h
getpath.o: ../config/config.h /usr/include/strings.h ../ntserv/data.h
getpath.o: copyright.h
data.o: ../ntserv/copyright.h ../ntserv/defs.h ../config/config.h
data.o: /usr/include/strings.h /usr/include/string.h
data.o: /usr/include/sys/stdsyms.h ../ntserv/struct.h copyright.h
data.o: ../ntserv/data.h
rsa_keycomp.o: /usr/include/stdio.h /usr/include/sys/stdsyms.h
rsa_keycomp.o: /usr/include/ctype.h /usr/include/sys/types.h
rsa_keycomp.o: /usr/include/sys/stat.h /usr/include/time.h
rsa_keycomp.o: /usr/include/sys/time.h /usr/include/sys/file.h
rsa_keycomp.o: /usr/include/sys/fcntl.h defs.h ../ntserv/copyright.h
rsa_keycomp.o: ../config/config.h /usr/include/strings.h
rsa_keycomp.o: /usr/include/string.h /dev/null struct.h copyright.h data.h
